Bug 781858 - Review Request: openstack-tempo - OpenStack RESTful API to cron
Summary: Review Request: openstack-tempo - OpenStack RESTful API to cron
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-15 18:10 UTC by Matt Domsch
Modified: 2012-01-28 17:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-28 17:38:19 UTC
pbrobinson: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matt Domsch 2012-01-15 18:10:08 UTC
Spec URL: http://mdomsch.fedorapeople.org//openstack-tempo.spec
SRPM URL: http://mdomsch.fedorapeople.org//openstack-tempo-0-0.1.20110909git940d9dba.fc17.src.rpm

Description:
OpenStack RESTful API to cron.

Comment 1 Matt Domsch 2012-01-15 18:10:13 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3697109

Comment 2 Peter Robinson 2012-01-15 22:16:23 UTC
I'll review

Comment 3 Peter Robinson 2012-01-15 22:27:59 UTC
Looks fine. APPROVED

+ rpmlint output

$ rpmlint openstack-tempo.spec openstack-tempo-0-0.1.20110909git940d9dba.fc16.src.rpm openstack-tempo-0-0.1.20110909git940d9dba.fc16.noarch.rpm
openstack-tempo.spec: W: invalid-url Source0: openstack-tempo-940d9dba.tar.bz2
openstack-tempo.src: W: spelling-error Summary(en_US) cron -> corn, con, crone
openstack-tempo.src: W: spelling-error %description -l en_US cron -> corn, con, crone
openstack-tempo.src: W: invalid-url Source0: openstack-tempo-940d9dba.tar.bz2
openstack-tempo.noarch: W: spelling-error Summary(en_US) cron -> corn, con, crone
openstack-tempo.noarch: W: spelling-error %description -l en_US cron -> corn, con, crone
openstack-tempo.noarch: W: no-manual-page-for-binary tempo-cron-snapshot
openstack-tempo.noarch: W: no-manual-page-for-binary tempo-backup
openstack-tempo.noarch: W: no-manual-page-for-binary nova-snapshot.sh
openstack-tempo.noarch: W: no-manual-page-for-binary tempo-api
openstack-tempo.noarch: W: no-manual-page-for-binary nova-backup.sh
openstack-tempo.noarch: W: no-manual-page-for-binary tempo-snapshot
openstack-tempo.noarch: W: no-manual-page-for-binary tempo-cron-backup
2 packages and 1 specfiles checked; 0 errors, 13 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  f8bee95fd00c14f5d4fa3d0610a5167b  openstack-tempo-940d9dba.tar.bz2
+ package successfully builds on at least one architecture
+ tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
+ package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
- Package should have man files

Comment 4 Matt Domsch 2012-01-16 20:42:50 UTC
New Package SCM Request
=======================
Package Name: openstack-tempo
Short Description: OpenStack RESTful API to cron
Owners: mdomsch markmc
Branches: f16 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-01-17 01:14:06 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.